package model

import (
	"time"

	"sku3dweb/comm"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type ColloComp struct {
	Name   string           `bson:"name,omitempty" json:"name"`
	Index  *int             `bson:"index,omitempty" json:"index"`
	Locked *bool            `bson:"locked,omitempty" json:"locked"`
	Mats   []*ColloCompMats `bson:"mats,omitempty" json:"mats"`
}

type ColloCompMats struct {
	Name      string              `bson:"name,omitempty" json:"name"`
	Thumbnail *OssType            `bson:"thumbnail,omitempty" json:"thumbnail,omitempty"`
	FabricId  *primitive.ObjectID `bson:"fabricId,omitempty" json:"fabricId,omitempty"`
	CardId    *primitive.ObjectID `bson:"cardId,omitempty" json:"cardId,omitempty"`
	Color     []float32           `bson:"color,omitempty" json:"color,omitempty"`
	// 0,1,2,3
	MatType  *int32 `bson:"matType,omitempty" json:"matType,omitempty"`
	ImageMat `bson:"imageMat" json:"imageMat,omitempty"`
	Card     *comm.MaterialConf `bson:"card" json:"card,omitempty"`
}

type Collocate struct {
	Id         *primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	DesignId   *primitive.ObjectID `bson:"designId,omitempty" json:"designId"`
	Scope      string              `bson:"scope,omitempty" json:"scope"`
	Comps      []*ColloComp        `bson:"comps,omitempty" json:"comps"`
	UpdateTime time.Time           `bson:"updateTime,omitempty" json:"updateTime"`
}
